package com.jpsoft.shinestar.modules.base.service;

import java.util.Date;
import java.util.List;
import java.util.Map;
import com.jpsoft.shinestar.modules.base.entity.HolidayCompany;
import com.github.pagehelper.Page;
import com.jpsoft.shinestar.modules.common.dto.Sort;

public interface HolidayCompanyService {
	HolidayCompany get(String id);
	boolean exist(String id);
	int insert(HolidayCompany model);
	int update(HolidayCompany model);
	void updateAndInsert(List<HolidayCompany> list,String holidayId,String subject,Date now);
	int delete(String id);
	List<HolidayCompany> list();
	List<HolidayCompany> findByHolidayId(String holidayId);
	Page<HolidayCompany> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize, List<Sort> sortList);
    boolean existHoliday(String companyId, String dateStr);
}